// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SkinnedDeerWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SkinnedDeerWAddonDeed();
			}
		}

		[ Constructable ]
		public SkinnedDeerWAddon()
		{
			AddComponent( new AddonComponent( 7824 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public SkinnedDeerWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SkinnedDeerWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SkinnedDeerWAddon();
			}
		}

		[Constructable]
		public SkinnedDeerWAddonDeed()
		{
			Name = "SkinnedDeerW";
		}

		public SkinnedDeerWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}